import { PrintBase } from './ngx-print.base';
import * as i0 from "@angular/core";
export declare class NgxPrintDirective extends PrintBase {
    private printOptions;
    /**
     * Prevents the print dialog from opening on the window
     *
     * @memberof NgxPrintDirective
     */
    set previewOnly(value: boolean);
    /**
     *
     *
     * @memberof NgxPrintDirective
     */
    set printSectionId(value: string);
    /**
     *
     *
     * @memberof NgxPrintDirective
     */
    set printTitle(value: string);
    /**
     *
     *
     * @memberof NgxPrintDirective
     */
    set useExistingCss(value: boolean);
    /**
     * A delay in milliseconds to force the print dialog to wait before opened. Default: 0
     *
     * @memberof NgxPrintDirective
     */
    set printDelay(value: number);
    /**
     * Whether to close the window after print() returns.
     *
     */
    set closeWindow(value: boolean);
    /**
     * Class attribute to apply to the body element.
     *
     */
    set bodyClass(value: string);
    /**
     * Whether to open a new window or default to new window.
     *
     */
    set openNewTab(value: boolean);
    /**
     *
     *
     * @memberof NgxPrintDirective
     */
    set printStyle(values: {
        [key: string]: {
            [key: string]: string;
        };
    });
    /**
     * @memberof NgxPrintDirective
     * @param cssList
     */
    set styleSheetFile(cssList: string);
    /**
     *
     *
     * @memberof NgxPrintDirective
     */
    print(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPrintDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxPrintDirective, "button[ngxPrint]", never, { "previewOnly": { "alias": "previewOnly"; "required": false; }; "printSectionId": { "alias": "printSectionId"; "required": false; }; "printTitle": { "alias": "printTitle"; "required": false; }; "useExistingCss": { "alias": "useExistingCss"; "required": false; }; "printDelay": { "alias": "printDelay"; "required": false; }; "closeWindow": { "alias": "closeWindow"; "required": false; }; "bodyClass": { "alias": "bodyClass"; "required": false; }; "openNewTab": { "alias": "openNewTab"; "required": false; }; "printStyle": { "alias": "printStyle"; "required": false; }; "styleSheetFile": { "alias": "styleSheetFile"; "required": false; }; }, {}, never, never, true, never>;
}
//# sourceMappingURL=ngx-print.directive.d.ts.map