import { PrintBase } from "./ngx-print.base";
import { PrintOptions } from "./print-options";
import * as i0 from "@angular/core";
/**
 * Service for handling printing functionality in Angular applications.
 * Extends the base printing class (PrintBase).
 *
 * @export
 * @class NgxPrintService
 * @extends {PrintBase}
 */
export declare class NgxPrintService extends PrintBase {
    /**
     * Initiates the printing process using the provided print options.
     *
     * @param {PrintOptions} printOptions - Options for configuring the printing process.
     * @memberof NgxPrintService
     * @returns {void}
     */
    print(printOptions: PrintOptions): void;
    /**
     * Sets the print style for the printing process.
     *
     * @param {{ [key: string]: { [key: string]: string } }} values - A dictionary representing the print styles.
     * @memberof NgxPrintService
     * @setter
     */
    set printStyle(values: {
        [key: string]: {
            [key: string]: string;
        };
    });
    /**
     * Sets the stylesheet file for the printing process.
     *
     * @param {string} cssList - A string representing the path to the stylesheet file.
     * @memberof NgxPrintService
     * @setter
     */
    set styleSheetFile(cssList: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxPrintService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxPrintService>;
}
//# sourceMappingURL=ngx-print.service.d.ts.map